> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.velocity.shop/llms.txt
> Use this file to discover all available pages before exploring further.

# List ownerships

> Every ownership of the given customers, companies, and company locations. At least one filter is required and results are not paginated.



## OpenAPI

````yaml /openapi.yaml get /ownerships/
openapi: 3.0.3
info:
  title: Velocity Merchant API
  version: 1.0.0
servers:
  - url: https://api.velocity.shop
security: []
paths:
  /ownerships/:
    get:
      tags:
        - Ownerships
      summary: List ownerships
      description: >-
        Every ownership of the given customers, companies, and company
        locations. At least one filter is required and results are not
        paginated.
      operationId: ownerships_list
      parameters:
        - in: query
          name: company_ids
          schema:
            type: string
          description: >-
            Filter results by a comma-separated list of Shopify company IDs
            (e.g., `6417313005602`).
        - in: query
          name: customer_ids
          schema:
            type: string
          description: >-
            Filter results by a comma-separated list of Shopify customer IDs
            (e.g., `6417313005602`).
        - in: query
          name: location_ids
          schema:
            type: string
          description: >-
            Filter results by a comma-separated list of Shopify company location
            IDs (e.g., `6417313005602`).
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Ownership'
          description: ''
      security:
        - merchantApiToken: []
components:
  schemas:
    Ownership:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        alignment_id:
          type: string
          format: uuid
          description: The team the ownership belongs to.
        rep_link_id:
          type: string
          format: uuid
          description: The owning rep's link in the team's hierarchy.
        customer_id:
          type: integer
          nullable: true
          readOnly: true
          description: The numeric Shopify ID of the owned customer.
        company_id:
          type: integer
          nullable: true
          readOnly: true
          description: The numeric Shopify ID of the owned company.
        location_id:
          type: integer
          nullable: true
          readOnly: true
          description: The numeric Shopify ID of the owned company location.
      required:
        - alignment_id
        - company_id
        - customer_id
        - id
        - location_id
        - rep_link_id
  securitySchemes:
    merchantApiToken:
      type: http
      scheme: bearer

````